gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Selectors.FontSelectionDialog

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A dialog box for selecting fonts

Synopsis

- data FontSelectionDialog
- class DialogClass o => FontSelectionDialogClass o
- castToFontSelectionDialog :: GObjectClass obj => obj -> FontSelectionDialog
- gTypeFontSelectionDialog :: GType
- toFontSelectionDialog :: FontSelectionDialogClass o => o -> FontSelectionDialog
- fontSelectionDialogNew :: GlibString string => string -> IO FontSelectionDialog
- fontSelectionDialogGetFontName :: (FontSelectionDialogClass self, GlibString string) => self -> IO (Maybe string)
- fontSelectionDialogSetFontName :: (FontSelectionDialogClass self, GlibString string) => self -> string -> IO Bool
- fontSelectionDialogGetPreviewText :: (FontSelectionDialogClass self, GlibString string) => self -> IO string
- fontSelectionDialogSetPreviewText :: (FontSelectionDialogClass self, GlibString string) => self -> string -> IO ()
- fontSelectionDialogGetCancelButton :: FontSelectionDialogClass self => self -> IO Widget
- fontSelectionDialogGetOkButton :: FontSelectionDialogClass self => self -> IO Widget
- fontSelectionDialogGetFontSelection :: FontSelectionDialogClass self => self -> IO FontSelection
- fontSelectionDialogPreviewText :: (FontSelectionDialogClass self, GlibString string) => Attr self string

# Detail

The `FontSelectionDialog` widget is a dialog box for selecting a font.

To set the font which is initially selected, use `fontSelectionDialogSetFontName`.

To get the selected font use `fontSelectionDialogGetFontName`.

To change the text which is shown in the preview area, use `fontSelectionDialogSetPreviewText`.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Bin
    | +----Window
    | +----Dialog
    | +----FontSelectionDialog

# Types

data FontSelectionDialog Source #

#### Instances

Instances details

Eq FontSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: FontSelectionDialog -> FontSelectionDialog -> Bool Source # (/=) :: FontSelectionDialog -> FontSelectionDialog -> Bool Source #
Ord FontSelectionDialog Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: FontSelectionDialog -> FontSelectionDialog -> Ordering Source #

(<) :: FontSelectionDialog -> FontSelectionDialog -> Bool Source #

(<=) :: FontSelectionDialog -> FontSelectionDialog -> Bool Source #

(>) :: FontSelectionDialog -> FontSelectionDialog -> Bool Source #

(>=) :: FontSelectionDialog -> FontSelectionDialog -> Bool Source #

max :: FontSelectionDialog -> FontSelectionDialog -> FontSelectionDialog Source #

min :: FontSelectionDialog -> FontSelectionDialog -> FontSelectionDialog Source #

GObjectClass FontSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: FontSelectionDialog -> GObject Source # unsafeCastGObject :: GObject -> FontSelectionDialog Source #
BinClass FontSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass FontSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types
DialogClass FontSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types
FontSelectionDialogClass FontSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass FontSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WindowClass FontSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class DialogClass o => FontSelectionDialogClass o Source #

#### Instances

Instances details

FontSelectionDialogClass FontSelectionDialog Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToFontSelectionDialog :: GObjectClass obj => obj -> FontSelectionDialog Source #

gTypeFontSelectionDialog :: GType Source #

toFontSelectionDialog :: FontSelectionDialogClass o => o -> FontSelectionDialog Source #

# Constructors

fontSelectionDialogNew Source #

Arguments

:: GlibString string |
=> string | `title` - the title of the dialog box.
-> IO FontSelectionDialog |

Creates a new `FontSelectionDialog`.

# Methods

fontSelectionDialogGetFontName Source #

Arguments

:: (FontSelectionDialogClass self, GlibString string) |
=> self |
-> IO (Maybe string) | returns the currently-selected font name, or `Nothing` if no font is selected.

Gets the currently-selected font name.

fontSelectionDialogSetFontName Source #

Arguments

:: (FontSelectionDialogClass self, GlibString string) |
=> self |
-> string | `fontname` - a fontname.
-> IO Bool | returns `True` if the font was found.

Sets the currently-selected font.

fontSelectionDialogGetPreviewText :: (FontSelectionDialogClass self, GlibString string) => self -> IO string Source #

Gets the text displayed in the preview area.

fontSelectionDialogSetPreviewText :: (FontSelectionDialogClass self, GlibString string) => self -> string -> IO () Source #

Sets the text displayed in the preview area.

fontSelectionDialogGetCancelButton Source #

Arguments

:: FontSelectionDialogClass self |
=> self |
-> IO Widget | returns the `Widget` used in the dialog for the `Cancel` button.

Gets the `Cancel` button.

- Available since Gtk+ version 2.14

fontSelectionDialogGetOkButton Source #

Arguments

:: FontSelectionDialogClass self |
=> self |
-> IO Widget | returns the `Widget` used in the dialog for the `OK` button.

Gets the `OK` button.

- Available since Gtk+ version 2.14

fontSelectionDialogGetFontSelection Source #

Arguments

:: FontSelectionDialogClass self |
=> self |
-> IO FontSelection | returns the embedded `FontSelection`

Retrieves the `FontSelection` widget embedded in the dialog.

- Available since Gtk+ version 2.22

# Attributes

fontSelectionDialogPreviewText :: (FontSelectionDialogClass self, GlibString string) => Attr self string Source #

'previewText' property. See `fontSelectionDialogGetPreviewText` and `fontSelectionDialogSetPreviewText`